gvfs (1.42.1-1ubuntu1) eoan; urgency=medium

  * Update to the current stable version by rebasing on Debian
    - Revert upstream changes to port to fuse 3. This is in universe in
      Ubuntu and we'll need to work out how to move over.

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Oct 2019 17:06:01 +0200

gvfs (1.42.1-1) unstable; urgency=medium

  * Team upload
  * Merge changelog entries from unstable
  * New upstream release
    - dav: Fix mounting when 403 is returned for the parent folder
    - Revert "sftp: Always use port 22 if not specified"
      to fix use of a configured port number in ~/.ssh/config
    - Translation updates: da, de, nl
  * Upload to unstable, now that the required gsettings-desktop-schemas
    is available in testing

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Oct 2019 15:40:15 +0100

gvfs (1.42.0+really1.38.1-1) unstable; urgency=medium

  * Team upload
  * Re-release 1.38.1-5 to unstable to overwrite premature upload of
    1.42.x. Versions 1.42.x depend on a gsettings-desktop-schemas version
    from experimental that cannot go to unstable until the mutter and
    evolution-data-server transitions for GNOME 3.34 are ready.
    (Closes: #940026)
    - d/gbp.conf: Set packaging branch to debian/unstable

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Sep 2019 11:56:17 +0100

gvfs (1.38.1-5) unstable; urgency=high

  * Team upload
  * d/p/gvfsdaemon-Check-that-the-connecting-client-is-the-same-u.patch:
    Add missing authentication, preventing a local attacker from connecting
    to an abstract socket address learned from netstat(8) and issuing
    arbitrary D-Bus method calls
  * d/p/gvfsdaemon-Only-accept-EXTERNAL-authentication.patch:
    Harden private D-Bus connection by rejecting the more complicated
    DBUS_COOKIE_SHA1 authentication mechanism and only accepting EXTERNAL.

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jun 2019 12:28:34 +0100

gvfs (1.38.1-4) unstable; urgency=high

  * Team upload
  * Update from upstream gnome-3-30 branch to fix the admin backend
    (Closes: #929755)
    - Implement query_info_on_read/write to fix some race conditions
      (CVE-2019-12448)
    - Ensure that created files get the correct ownership (CVE-2019-12247)
    - Ensure that copied files get the correct ownership (CVE-2019-12449)
  * Remove obsolete version number from fuse dependency.
    gvfs needs fuse (>= 2.8.4), but that version is older than oldstable,
    so we can safely simplify to "Depends: fuse".
    The versioned dependency is not satisfied by fuse3's unversioned
    "Provides: fuse", but the unversioned dependency is. (Closes: #927221)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Jun 2019 08:34:17 +0100

gvfs (1.38.1-3) unstable; urgency=high

  * Team upload
  * d/p/admin-Prevent-access-if-any-authentication-agent-isn-t-av.patch:
    Add patch from upstream to prevent members of the sudo group from
    bypassing the intended password check for privileged access to files
    via the admin: backend if no polkit authentication agents are
    available (CVE-2019-3827, Closes: #921816)
  * d/p/*: Update to upstream gnome-3-30 branch, commit 1.38.1-9-gd4dab113
    - admin: Fix CVE-2019-3827 (see above)
    - autorun: Don't crash if an autorun file is not valid UTF-8
    - mtp: Don't busy-loop retrying reading an event after failure
    - udisks2: Reinstate support for deprecated comment=x-gvfs-show fstab
      option syntax (but please use x-gvfs-show instead)
    - tests: Use the right SMB port if running in the sandbox
    - Update translations: eu, sk, sr
  * d/gbp.conf: Configure for debian/buster and upstream/1.38.x branches
  * d/control: Use debian/buster branch in Vcs-Git

 -- Simon McVittie <smcv@debian.org>  Sat, 09 Feb 2019 12:02:33 +0000

gvfs (1.42.0+really1.42.0-1) experimental; urgency=medium

  * Team upload
  * Re-upload 1.42.x to experimental, with a higher version number than
    the revert to 1.38.x in unstable. It isn't ready for unstable just yet.
    (Closes: #940026)

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Sep 2019 12:05:16 +0100

gvfs (1.42.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 16:23:18 +0200

gvfs (1.41.91-1) experimental; urgency=medium

  [ Simon McVittie ]
  * Add bug number and CVE ID to previous changelog entry

  [ Iain Lane ]
  * debian/watch: Find unstable versions
  * New upstream release
    + admin: Add query_info_on_read/write functionality (CVE-2019-12448)
    + admin: Allow changing file owner (CVE-2019-12447)
    + admin: Ensure correct ownership when moving to file:// uri
      (CVE-2019-12449)
    + admin: Prevent core dumps when daemon is manually started
    + admin: Use fsuid to ensure correct file ownership (CVE-2019-12447)
    + afc: Remove assumptions about length of device UUID to support new
      devices
    + afp: Fix afp backend crash when no username supplied
    + build: Add dependency on gsettings-desktop-schemas
    + build: Bump required meson version to 0.50.0
    + build: Define gvfs_rpath for libgvfsdaemon.so
    + build: Several meson improvements
    + daemon: Check that the connecting client is the same user
      (CVE-2019-12795)
    + daemon: Only accept EXTERNAL authentication (CVE-2019-12795)
    + daemon/udisks2: Handle lockdown option to disable writing
    + daemon: Unify some translatable strings
    + fuse: Adapt gvfsd-fuse to use fuse 3.x
    + fuse: Define RENAME_* macros when they are not defined
    + fuse: Remove max_write limit
    + gmountsource: Fix deadlocks in synchronous API
    + google: Check ownership in is_owner() without additional HTTP request
    + google: Disable deletion of non-empty directories
    + google: Do not enumerate volatile entries if title matches id
    + google: Fix crashes when deleting if the file isn't found
    + google: Fix issue with stale entries remaining after rename operation
    + google: Support deleting shared Google Drive files
    + proxy: Don't leak a GVfsDBusDaemon
    + udisks2: Change display name for crypto_unknown devices
  * debian/patches: Drop backported patches. We're further ahead now.

 -- Iain Lane <laney@debian.org>  Wed, 21 Aug 2019 12:05:56 +0100

gvfs (1.40.1-3) experimental; urgency=medium

  * Team upload
  * d/p/gvfsdaemon-Check-that-the-connecting-client-is-the-same-u.patch:
    Add missing authentication, preventing a local attacker from connecting
    to an abstract socket address learned from netstat(8) and issuing
    arbitrary D-Bus method calls
    (Closes: #930376, CVE-2019-12795)
  * d/p/gvfsdaemon-Only-accept-EXTERNAL-authentication.patch:
    Harden private D-Bus connection by rejecting the more complicated
    DBUS_COOKIE_SHA1 authentication mechanism and only accepting EXTERNAL

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jun 2019 12:32:45 +0100

gvfs (1.40.1-2) experimental; urgency=medium

  * Team upload
  * Update from upstream gnome-3-32 branch, commit 1.40.1-9-gec939a01,
    to fix the admin backend
    (Closes: #929755)
    - Implement query_info_on_read/write to fix some race conditions
      (CVE-2019-12448)
    - Ensure that created files get the correct ownership (CVE-2019-12247)
    - Ensure that copied files get the correct ownership (CVE-2019-12449)
    - Fix deadlocks in synchronous API
    - Various fixes for afc backend
    - Update translation: zh_CN
  * Remove obsolete version number from fuse dependency.
    gvfs needs fuse (>= 2.8.4), but that version is older than oldstable,
    so we can safely simplify to "Depends: fuse".
    The versioned dependency is not satisfied by fuse3's unversioned
    "Provides: fuse", but the unversioned dependency is. (Closes: #927221)

 -- Simon McVittie <smcv@debian.org>  Thu, 06 Jun 2019 18:37:25 +0100

gvfs (1.40.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 09 Apr 2019 16:10:24 +0200

gvfs (1.40.0-1) experimental; urgency=medium

  * New upstream release
  * Drop test-Remove-trailing-newline-from-the-IP-string.patch: Applied

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Mar 2019 10:47:43 -0400

gvfs (1.39.91-1) experimental; urgency=medium

  * New upstream development release
  * Add test-Remove-trailing-newline-from-the-IP-string.patch:
    - Proposed patch to fix autopkgtest with glibc 2.29

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 25 Feb 2019 14:50:05 -0500

gvfs (1.39.90-1) experimental; urgency=medium

  * New upstream development release
  * Bump minimum meson to 0.49.0

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 06 Feb 2019 16:48:23 -0500

gvfs (1.38.1-2) unstable; urgency=medium

  * Add -Wl,-O1 to our LDFLAGS
  * debian/rules: Use dh_auto_build instead of make
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 27 Dec 2018 10:06:21 -0500

gvfs (1.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Nov 2018 17:08:16 +0100

gvfs (1.38.0-2) unstable; urgency=medium

  * Install manpages into gvfs-common, as they were previously

 -- Iain Lane <laney@debian.org>  Tue, 11 Sep 2018 12:42:51 +0100

gvfs (1.38.0-1) unstable; urgency=medium

  * New upstream translation release
  * Update gbp.conf to pkg-gnome's common file
  * Bump Standards-Version to 4.2.1 (no changes required)
  * Revert "d/watch: Watch for development versions"
  * Build manpages for the deprecated commands too

 -- Iain Lane <laney@debian.org>  Tue, 11 Sep 2018 11:40:16 +0100

gvfs (1.37.90-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
  * debian/docs: Don't install AUTHORS, no longer provided upstream
  * debian/docs: Install README.md
  * d/source/lintian-overrides: Remove, no longer needed
    (the Autotools build system has been removed)
  * Update Meson build-dependency to 0.46.0
  * Update GLib build-dependency to 2.57.2
  * Reinstate deprecated command-line tools via debian/extra/ for now
  * d/p/01_modules_dir.patch: Drop, no longer required
  * d/p/04_hurd_path_max.patch: Drop, no longer required
  * Build-depend on polkit 0.105-18~ for ITS rules
  * d/p/Remove-version-from-polkit-gobject-dependency.patch:
    Don't require polkit 0.114 for ITS rules since we have backported
    that feature
  * Normalize packaging with wrap-and-sort -ab
  * Standards-Version: 4.2.0
  * Deprecate the gvfs-bin package
  * Use /usr/share/dpkg/default.mk
  * Tell dpkg-shlibdeps about our private libraries

 -- Simon McVittie <smcv@debian.org>  Fri, 17 Aug 2018 12:26:04 +0100

gvfs (1.36.2-1) unstable; urgency=medium

  * Team upload

  [ Rob McQueen ]
  * Add missing lsof dependency to fix UDisks2VolumeMonitor (!1)

  [ Simon McVittie ]
  * New upstream release
  * d/control.in: Remove trailing spaces
  * Refresh patch series
  * d/tests/control: Depend on dbus, not dbus-x11 (Closes: #835892)
  * tests: Depend on openssh-client, for ssh-keygen
  * tests: Depend on policykit-1, for pkcheck
  * tests: Depend on python3-dbus, for `import dbus`
  * Standards-Version: 4.1.5 (no changes required)
  * Set Rules-Requires-Root to no
  * Override Lintian warning for configure.ac. Now that this package
    builds with meson, Autotools bugs are harmless.

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Jul 2018 20:50:24 +0100

gvfs (1.36.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete dh_translations override
  * Bump Standards-Version to 4.1.4

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 14 Apr 2018 15:51:37 -0400

gvfs (1.36.0-1) unstable; urgency=medium

  [ Iain Lane ]
  * New upstream translation release
  * debian/patches/0009-gvfs-test-Increase-timeout-to-10s.patch: Backport
    patch from upstream #794487 to increase test timeouts, hopefully to reduce
    flakiness.

  [ Sebastien Bacher ]
  * debian/patches/0008-Skip-the-umockdev-test.patch:
    - the umockdev ioctl emulation is currently buggy, skip the gphoto
      integration test that would need record update

 -- Iain Lane <laney@debian.org>  Mon, 19 Mar 2018 16:10:38 +0000

gvfs (1.35.91-1) experimental; urgency=medium

  * New upstream development release
  * Drop no longer needed Files-Excluded
  * Add workaround for Ubuntu translations issue
  * Drop 0008-test-Make-etc-init-optional.patch: Applied in new release

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 19 Feb 2018 16:54:17 -0500

gvfs (1.35.90-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream development release
    - Fixes "MTP volume not removed after disconnecting" (Closes: #882353)
      (LP: #1739537)
  * debian/copyright: Use Files-Excluded to avoid non-free RFCs.
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Drop obsolete Build-Depends on libudev-dev
  * Build with meson
  * Don't build the Blu-ray backend on Ubuntu since the required library
    is in universe. See bug 1746629.
  * Cherry-pick 0008-test-Make-etc-init-optional.patch:
    - Fix tests when /etc/init/ doesn't exist (on minimal systems)

  [ Martin Pitt ]
  * Run autopkgtests through sudo starting as normal user, so that it can
    find a non-root user.

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 09 Feb 2018 10:23:43 -0500

gvfs (1.34.1-2) unstable; urgency=medium

  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 17 Dec 2017 19:09:49 -0500

gvfs (1.34.1-1) unstable; urgency=medium

  * New upstream release
  * Drop programs-Fix-bashism-in-gvfs-wrapper-script.patch:
    Applied in new release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 02 Oct 2017 21:21:13 -0400

gvfs (1.34.0-3) unstable; urgency=medium

  * Fix bashism in gvfs-* wrapper script. (Closes: #877068)

 -- Michael Biebl <biebl@debian.org>  Thu, 28 Sep 2017 14:24:21 +0200

gvfs (1.34.0-2) unstable; urgency=medium

  * debian/gvfs-bin.install: Don't try to install bash-completion
    files dropped in new release

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 27 Sep 2017 13:39:41 -0400

gvfs (1.34.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Drop obsolete Build-Depends on libgtk-3-dev
    - Bump minimum libgdata-dev to 0.17.9
    - Have gvfs-bin depend on libglib2.0-bin because the gvfs utilities
      have been deprecated in favor of 'gio' in this release
  * Refresh 04_hurd_path_max.patch
  * Drop disable-polkit-rules-no-admin.patch: Applied in new release
  * Bump Standards-Version to 4.1.0

  [ Laurent Bigonville ]
  * Move org.gtk.vfs.file-operations.rules back to the polkit rules directory,
    the behaviour looks more sane now and a password is asked everytime a file
    owned by root is opened.

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 27 Sep 2017 12:41:02 -0400

gvfs (1.30.4-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 29 Mar 2017 01:32:39 +0200

gvfs (1.30.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 20 Dec 2016 03:24:22 +0100

gvfs (1.30.2-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/patches/02_polkit_sudo_group.patch: Use sudo group instead of the
    wheel one, the later doesn't exist on debian (Closes: #843629)
  * Move the policykit rules file to the examples directory, for now we
    don't want the user to be able to modify files owned by root without
    entering any password even if they are part of the "sudo" group.

  [ Michael Biebl ]
  * Explicitly remove .h header files instead of using dh_install -X.h. This
    avoids not installing required files which are not header files but
    contain .h anywhere in the filename.

 -- Laurent Bigonville <bigon@debian.org>  Tue, 08 Nov 2016 19:44:47 +0100

gvfs (1.30.2-1) unstable; urgency=medium

  * New upstream release.
  * Enable NFS backend (Closes: #812590)
  * debian/control.in: Enable all hardening flags
  * debian/patches/disable-polkit-rules-no-admin.patch: Do not install polkit
    rules when the admin backend is disabled, should fix FTBFS on !linux

 -- Laurent Bigonville <bigon@debian.org>  Tue, 08 Nov 2016 13:23:19 +0100

gvfs (1.30.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Oct 2016 16:15:05 +0200

gvfs (1.30.1-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/gvfs-bin.preinst and debian/gvfs-bin.maintscript. The cleanup
    of the obsolete conffiles is from before wheezy.

 -- Michael Biebl <biebl@debian.org>  Mon, 10 Oct 2016 17:14:20 +0200

gvfs (1.30.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop lingering autotools-dev build-dependency.
  * debian/rules: remove '*.la' to avoid them showing up in list-missing.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 19 Sep 2016 20:09:18 +0200

gvfs (1.29.92-1) unstable; urgency=medium

  * New upstream development release.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Sep 2016 16:40:18 +0200

gvfs (1.29.91-1) unstable; urgency=low

  * New upstream beta release.
  * Convert from cdbs -> dh
  * Explicitly disable admin backend on non-linux as apparently configure
    checks aren't detailed enough to auto-disable it.
  * Skip running testsuite (as enabled by dh conversion)
    - it's better to run those tests with machine isolation as already
      done by the autopkgtests.
  * Add debian/docs shipping AUTHORS NEWS

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 30 Aug 2016 18:26:00 +0200

gvfs (1.29.90-1) experimental; urgency=medium

  * New upstream beta release.
  * Update build-dependencies according to configure.ac changes:
    - bump libglib2.0-dev to >= 2.49.3
    - drop intltool (>= 0.35.0), no longer used.
    - add libpolkit-gobject-1-dev, for building the new admin backend.
  * Add build-dependency on libcap-dev [linux-any] as needed by admin backend.
  * debian/gvfs-backends.install: ship new admin backend files on linux-any
    - also (partially) wrap-and-sort while at it.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 11 Aug 2016 17:34:27 +0200

gvfs (1.28.3-1) unstable; urgency=medium

  [ Emilio Pozuelo Monfort ]
  * Fix build on hurd. Thanks to Andreas Beckmann for the patch.
    Closes: #815351.

  [ Andreas Henriksson ]
  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump libimobiledevice to >= 1.2

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 11 Aug 2016 16:56:01 +0200

gvfs (1.28.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Drop lintian overrides as they are no longer needed. With recent versions
    of lintian dh-exec >= 0.13 features are detected properly and binaries
    are allowed to use "/usr/lib/$srcpkg/" in RPATHs.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 May 2016 19:49:52 +0200

gvfs (1.28.1-1) unstable; urgency=medium

  * New upstream release.
    + udisks2: Abort mount operation if volume is unlocked
    + udisks2: Lock unlocked volumes on eject/stop
    + trash: Check modification time to avoid rereading
    + trash: Rescan trash dirs before operations with files

 -- Iain Lane <laney@debian.org>  Thu, 14 Apr 2016 16:51:21 +0100

gvfs (1.28.0-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Track stable releases again.
  * Drop Recommends on policykit-1-gnome. The udisks2 package already
    recommends policykit-1, and the PolicyKit authentication agent (the GUI
    bits) should be pulled in by the individual desktop environments. Some,
    like GNOME 3, already have this functionality builtin.
  * Bump Standards-Version to 3.9.7.
  * Drop gvfs-dbg package now that we have automatic dbgsym packages.
  * Ensure proper upgrade from gvfs-dbg to new dbgsym packages by using
    dh_strip --dbgsym-migration. Bump Build-Depends on debhelper accordingly.

 -- Michael Biebl <biebl@debian.org>  Sun, 03 Apr 2016 15:56:01 +0200

gvfs (1.27.92-1) experimental; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Mar 2016 20:36:04 +0100

gvfs (1.27.90-1) experimental; urgency=medium

  * New upstream release
    + udisks2: Avoid crashes during unmount
    + ftp: Fix cache invalidation after writing
    + network: Fix crashes when mount failed
    + mtp: Allow reading on more devices
  * debian/control{,.in}: Build-Depend on systemd to get the path for user
    unit files.
  * debian/rules: Build with --fail-missing and exclude some files which we
    don't install.

 -- Iain Lane <laney@debian.org>  Tue, 16 Feb 2016 10:47:20 +0000

gvfs (1.27.4-1) experimental; urgency=medium

  * Test-Dep on apache2-dev instead of apache2-prefork-dev - the latter was a
    Provides which has gone away.
  * New upstream release.
    + dns-sd: Add support for nfs shares
    + Do not print anything from daemons unless debug mode is enabled
    + Several other logging improvements

 -- Iain Lane <laney@debian.org>  Tue, 26 Jan 2016 17:49:28 +0000

gvfs (1.27.3-1) experimental; urgency=medium

  * New upstrem development release.
    + sftp: Fail cancelled jobs
    + metadata: Avoid endless recursion when copying meta files
    + mtp: Use phone icon for MTP devices
    + udisks2: Do not show notification if unmount failed
    + completion: Allow bash completion for gvfs-mount
    + http: Return error if seek was not successful
    + sftp: Handle "Too many authentication failures" error
  * debian/watch: Also find unstable versions

 -- Iain Lane <laney@debian.org>  Mon, 04 Jan 2016 17:23:24 +0000

gvfs (1.26.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Tue, 10 Nov 2015 23:18:50 +0100

gvfs (1.26.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Oct 2015 16:24:27 +0200

gvfs (1.26.1-1) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * Enable Google Drive support (Closes: #801094)
    - bump build-dependency on libgoa-1.0-dev to >= 3.17.1
    - add build-dependency on libgdata-dev >= 0.17.3
    - install gvfsd-google and google.mount in gvfs-backends

  [ Laurent Bigonville ]
  * New upstream release
    - Install systemd user .service files
  * debian/rules: List the files that are not installed in any packages

 -- Laurent Bigonville <bigon@debian.org>  Tue, 13 Oct 2015 17:38:16 +0200

gvfs (1.26.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 02 Oct 2015 17:00:14 +0200

gvfs (1.26.0-1) experimental; urgency=medium

  * New upstream release
  * Remove XS-Testsuite header, no longer necessary

  [ Robert Ancell ]
  * Switch build-depends from transitional libgcrypt11-dev to
    libgcrypt20-dev (packaging change from Ubuntu)

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Sep 2015 21:19:50 +0100

gvfs (1.25.92-1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop obsolete patch debian/patches/add-support-for-libsystemd.patch
  * Have quilt refresh remaining patches to apply cleanly.
  * Update build-dependencies according to configure.ac:
    - Bump libglib2.0-dev to >= 2.45.7
    - Add libgcr-3-dev
  * Use dh-exec install arch filter instead of debian/rules installation
  * Bump debian/compat to 9 for executable debian/*.install to work.
  * Add debian/source.lintian-overrides for dh-exec related overrides.
  * gvfs-backends: ship new usr/share/gvfs/mounts/ftps.mount

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Sep 2015 15:37:16 +0200

gvfs (1.24.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 24 Aug 2015 19:47:08 +0200

gvfs (1.24.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Track stable releases (again) in debian/watch.
  * Build against libsystemd. (Closes: #779766)
  * Drop debian/patches/revert-0001-Remove-obsolte-obexftp-code.patch and the
    Build-Depends on libdbus-glib-1-dev along with it. The ObexFTP backend no
    longer works with BlueZ 5.x. The only supported method is ObexPush, which
    is implemented by bluez-obexd. Change gvfs-backends to suggest bluez-obexd
    instead of obex-data-server.
  * Drop obsolete Breaks/Replaces/Conflicts from pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 May 2015 00:18:03 +0200

gvfs (1.24.1-1) experimental; urgency=medium

  * New upstream release 1.24.1

 -- Iain Lane <laney@debian.org>  Tue, 14 Apr 2015 12:15:23 +0100

gvfs (1.24.0-1) experimental; urgency=medium

  * New upstream release 1.24.0
    + Fix g-ir-compiler failures

 -- Iain Lane <laney@debian.org>  Wed, 01 Apr 2015 13:06:16 +0100

gvfs (1.23.92-1) experimental; urgency=medium

  * New upstream release 1.23.92
    + metadata: Reliability improvements
    + afc, gphoto2: Fix force unmount when device is removed
    + ftp: Prevent segfault when unmounting
    + ftp: Bug fixes for directory parsing
    + dav: Fix crash on mount when using dns-sd
    + common: Increase mount timeout to 30 minutes
    + Several smaller bugfixes
    + Update man pages
  * debian/patches/revert-0001-Remove-obsolte-obexftp-code.patch: Temporarily
    restore obexftp - it's still useful to be able to use this via Bluez 4,
    for some usecases.
  * debian/patches/metadata-dont-flush-null-tree.patch: Drop, this bug was
    fixed upstream.
  * debian/control{,.in}: Bump required version of glib to ≥ 2.43.2, as per
    upstream.

 -- Iain Lane <laney@debian.org>  Wed, 18 Mar 2015 12:36:22 +0000

gvfs (1.23.90-1) experimental; urgency=medium

  * New upstream release 1.23.90
    - ftp: Implement backups for replace
    - ftp: Implement G_FILE_COPY_NOFOLLOW_SYMLINKS
    - programs: Fix bash completion
    - dav: Add support for server-side copying
    - mtp: Set MTP filetype from mime type when uploading files
    - gvfs-mount: Allow mounting as an anonymous user
    - smb: Handle the anonymous flag
    - gproxymount: Fix crashes if eject callback isn't specified
    - metadata: Fix crashes if tree initilization failed
    - Fix reported size for http and dav
  * debian/patches/metadata-nuke-junk-data.patch: Refresh.

 -- Iain Lane <laney@debian.org>  Thu, 12 Mar 2015 13:17:44 +0000

gvfs (1.23.2-1) experimental; urgency=medium

  * New upstream release 1.23.2
    + Try copy and delete fallback for move if backup couldn't be created
    + mtp: Do not crash when device is unplugged
    + tests: Several fixes
    + Several smaller bugfixes

 -- Iain Lane <laney@debian.org>  Thu, 27 Nov 2014 13:16:32 +0000

gvfs (1.23.1-1) experimental; urgency=medium

  * debian/watch: Watch unstable versions too, for exp.
  * New upstream release, changes:
    + Several improvements to unmounting reliability
    + fuse: Several fixes to prevent data corruption and improve stat()
      results
    + Improve root dir name and icon handling for gphoto2 and mtp
    + Add bash completion support for gvfs-rename and gvfs-set-attribute
    + client: Check for G_FILE_COPY_NO_FALLBACK_FOR_MOVE when push/pulling
    + Add -C flag to gvfs-move
    + sftp: Don't spin during connection
    + sftp: Correctly retrieve the username from the secret store
    + goa: Pass "password" as ID when fetching the password
    + tests: Some cleanups and reliability fixes

 -- Iain Lane <laney@debian.org>  Wed, 26 Nov 2014 17:36:35 +0000

gvfs (1.22.2-1) unstable; urgency=medium

  * New upstream translation and bugfix release.
  * fix-unmout-crash.patch: patch from upstream git. Fix crashes when
    unmounting shares with pending operations.
  * fix-cancellation: patch from upstream git. Fix user cancellation of
    file operations.

 -- Josselin Mouette <joss@debian.org>  Sun, 30 Nov 2014 22:18:27 +0100

gvfs (1.22.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches:
    - debian/patches/dont-crash-on-null-job.patch
    - debian/patches/handle-inactive-vfs.patch
    - debian/patches/metadata-dont-flush-null-tree.patch
    - debian/patches/metadata-nuke-junk-data.patch
    - debian/patches/ref-jobs-in-thread.patch
  * Add Homepage field.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6.

 -- Michael Biebl <biebl@debian.org>  Mon, 13 Oct 2014 16:14:48 +0200

gvfs (1.22.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #762414)
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 22 Sep 2014 19:37:14 +0200

gvfs (1.21.91-1) experimental; urgency=medium

  * New upstream development release.
  * Bump libgudev-1.0-dev to (>= 147) according to configure.ac
  * Bump Standards-Version to 3.9.5

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 05 Sep 2014 15:26:41 -0700

gvfs (1.20.3-1) unstable; urgency=medium

  [ Martin Pitt ]
  * autopkgtest: Use "allow-stderr" instead of input redirection.

  [ Andreas Henriksson ]
  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 28 Aug 2014 16:52:10 -0700

gvfs (1.20.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 23 May 2014 12:05:05 +0200

gvfs (1.20.1-1) unstable; urgency=medium

  * New upstream release

 -- Iain Lane <laney@debian.org>  Tue, 15 Apr 2014 12:37:06 +0100

gvfs (1.20.0-1) unstable; urgency=medium

  [ Martin Pitt ]
  * debian/tests/control: Add umockdev test dependencies for the GPhoto test
    case.
  * debian/tests/control: Add isolation-machine restriction, as we fiddle with
    the kernel in this test.

  [ Andreas Henriksson ]
  * Drop debian/patches/06_metadata_nfs.patch, obsolete. (Closes: #741114)
    - problem worked around is fixed upstream in commit 6b12c3d7b
      "metadata: Force tree re-read after successful flush".
    Thanks Kenneth johansson!
  * New upstream release.
  * Revert changes in 1.18.2-2 to be able to target unstable.
    - ie. lower libgoa-1.0-dev build-dep to >= 3.7.1 again.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 23 Mar 2014 18:39:58 +0100

gvfs (1.19.90-1) experimental; urgency=medium

  * New upstream release.
  * Bump build-dependencies according to configure.ac changes:
    - use libsoup 2.42.0 (instead of libsoup-gnome)
    - libsmbclient 3.4.0
  * Drop debian/patches/05_shared_libdaemon.patch, obsolete.
  * Refresh patches:
    - debian/patches/handle-inactive-vfs.patch
    - debian/patches/ref-jobs-in-thread.patch
  * debian/rules: disable extra LDFLAGS.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 17 Feb 2014 22:49:42 +0100

gvfs (1.18.2-3) experimental; urgency=medium

  * debian/control.in: Build-depends against libgphoto2-dev (>= 2.5) instead
    of libgphoto2-2-dev
  * Drop debian/patches/build_old_libgphoto.patch: We want to build against
    the new gphoto2 API

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Jan 2014 20:08:14 +0100

gvfs (1.18.2-2) experimental; urgency=low

  * Build against G3.10 gnome-online-accounts

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 03 Nov 2013 23:16:50 +0100

gvfs (1.18.2-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies according to configure.ac:
    - Bump libglib2.0-dev to >= 2.37.0
    - Bump libmtp-dev to >= 1.1.6
    - Bump libimobiledevice-dev to >= 1.1.5
  * Make debian/patches/05_shared_libdaemon.patch apply
  * Refresh patches:
    - debian/patches/ref-jobs-in-thread.patch
    - debian/patches/build_old_libgphoto.patch
    - debian/patches/handle-inactive-vfs.patch
  * Drop debian/patches/00git_testsuite_fixes.patch
  * debian/gvfs-common.install:
    - install usr/lib/tmpfiles.d/gvfsd-fuse-tmpfiles.conf

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 17 Oct 2013 21:49:06 +0200

gvfs (1.16.3-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 29 Jun 2013 09:34:48 +0200

gvfs (1.16.2-5) unstable; urgency=low

  * debian/gvfs-backends.install,
    debian/rules:
    + Likewise for mtp.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 21 Jun 2013 12:48:41 +0200

gvfs (1.16.2-4) unstable; urgency=low

  * debian/gvfs-backends.install,
    debian/rules:
    + Install the cdda backend only on linux as it needs gudev or hal.
  * debian/control.in:
    + Standards-Version is 3.9.4. No changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 21 Jun 2013 09:36:59 +0200

gvfs (1.16.2-3) unstable; urgency=low

  [ Martin Pitt ]
  * Add 00git_testsuite_fixes.patch: Import various test suite fixes from
    upstream git head. This fixes the hang of the autopkgtest and makes
    the tests work with Python 3.3.

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    + Don't install the gphoto backend on kfreebsd as it needs hal support,
      which we have disabled.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 20 Jun 2013 23:32:21 +0200

gvfs (1.16.2-2) unstable; urgency=low

  * Upload to unstable.
  * Stop building with HAL support on non-Linux. This code is no longer
    maintained and tested and HAL is scheduled to be removed.

 -- Michael Biebl <biebl@debian.org>  Fri, 24 May 2013 18:38:00 +0200

gvfs (1.16.2-1) experimental; urgency=low

  [ Martin Pitt ]
  * Enable gnome-online-accounts volume monitor. Add libgoa-1.0-dev build
    dependency for this.

  [ Andreas Henriksson ]
  * New upstream release.
  * Refresh patches to apply cleanly:
    - debian/patches/06_metadata_nfs.patch
    - debian/patches/dont-crash-on-null-job.patch
    - debian/patches/metadata-dont-flush-null-tree.patch
    - debian/patches/metadata-nuke-junk-data.patch
    - debian/patches/ref-jobs-in-thread.patch

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 24 May 2013 17:37:49 +0200

gvfs (1.16.0-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/patches/70_fix_autoreconf_m4.patch:
      - Removed, no longer needed as upstream now ships the m4
        directory in the tarballs.

  [ Martin Pitt ]
  * Add autopkgtest, calling upstream integration test suite.
  * Version libmtp-dev build dependency according to configure.ac.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 26 Mar 2013 11:10:28 +0100

gvfs (1.15.4-2) experimental; urgency=low

  * Brown paper bag release.
  * debian/gvfs-backends.install,
    debian/control.in:
    + Actually ship the MTP backend. Closes: #703135.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 16 Mar 2013 13:29:44 +0100

gvfs (1.15.4-1) experimental; urgency=low

  [ Josselin Mouette ]
  * New upstream release.
  * Add dependency on desktop-file-utils since many operations won’t
    work without mimeinfo.cache.
  * 06_metadata_nfs.patch: new patch. Disable gvfsd-metadata entirely on
    remote filesystems. It is better to miss functionality than to
    hammer the server. Closes: #624507.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
      - Enable MTP support.
    + debian/patches/*:
      - Refreshed.
    + debian/patches/70_fix_autoreconf_m4.patch:
      - New patch, remove broken arguments for aclocal that make
        autoreconf abort.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 05 Mar 2013 18:10:08 +0100

gvfs (1.12.3-4) unstable; urgency=low

  * 06_metadata_nfs.patch: new patch. Disable gvfsd-metadata entirely on
    remote filesystems. It is better to miss functionality than to
    hammer the server. Closes: #624507.

 -- Josselin Mouette <joss@debian.org>  Tue, 05 Feb 2013 14:02:04 +0100

gvfs (1.12.3-3) unstable; urgency=low

  * Add dependency on desktop-file-utils since many operations won’t
    work without mimeinfo.cache.

 -- Josselin Mouette <joss@debian.org>  Sat, 05 Jan 2013 12:09:20 +0100

gvfs (1.14.1-1) experimental; urgency=low

  * Team upload
  * New upstream release (LP: #1025542)
    - gmountsource always uses NULL-terminated arrays (LP: #1033275)
    - remove final parts of libdbus (LP: #932935)
    - cdda: fix abort with non-ASCII text (LP: #819304)
    - increase build-dependencies
    - use udisks2, not libgdu, on Linux
    - depend on GLib 2.34 (really needs 2.33.12) to bypass the pseudo-epoch
      in unstable
    - add maintscript to transition from bash completion as a conffile to
      bash completion in /usr/share (LP: #1022927)
    - update lists of daemons etc. to install
    - add patch from Ubuntu to force use of GPhoto 2.4
    - add patch from Ubuntu to not crash if a NULL job finishes (LP: #345754,
      LP: #838464)
    - add patch from Ubuntu to not crash when creating volume monitors if the
      VFS never initialized (LP: #832533)
    - add patch from Ubuntu to keep a ref to jobs while they run in a thread
    - Add patch from Christian Kellner, via Ubuntu, to not try to flush a
      tree that doesn't exist (LP: #405432)
    - Add patch from Christian Kellner, via Ubuntu, to erase broken metadata
      files (related to LP #405432)
    - refresh 04_hurd_path_max.patch
    - refresh 05_shared_libdaemon.patch
  * Install the man pages in gvfs-common

 -- Simon McVittie <smcv@debian.org>  Tue, 23 Oct 2012 09:57:31 +0100

gvfs (1.12.3-1) unstable; urgency=low

  * New upstream release.
  * Remove debian/patches/00git_fix_build.patch, merged upstream.
  * Remove clean-la.mk from debian/rules since we don't install any .la files.

 -- Michael Biebl <biebl@debian.org>  Tue, 15 May 2012 22:25:31 +0200

gvfs (1.12.2-2) unstable; urgency=low

  * Add 00git_fix_build.patch: Fix building with gcc 4.7. Patch taken from
    upstream git. Closes: #672099

 -- Martin Pitt <mpitt@debian.org>  Tue, 08 May 2012 14:21:51 -0700

gvfs (1.12.2-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sat, 28 Apr 2012 01:13:14 +0200

gvfs (1.12.1-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Move gsettings schemas to gvfs-backends, they are only used by smb
    and dns-sd.
  * Add Breaks/Replaces accordingly.

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Wed, 18 Apr 2012 17:41:59 +0200

gvfs (1.12.0-1) unstable; urgency=low

  * New upstream release.
  * Update Vcs-* URLs.
  * debian/watch: Track stable releases.

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Apr 2012 14:18:16 +0200

gvfs (1.11.5-1) experimental; urgency=low

  [ Michael Biebl ]
  * Bump Build-Depends on cdbs and debhelper for multiarch support.
  * Replace Depends on fuse-utils with fuse, as fuse-utils is now only a
    transitional package depending on fuse.

  [ Martin Pitt ]
  * debian/watch: Watch for development versions in experimental.
  * New upstream release:
    - fuse: Keep using ~/.gvfs as fallback (LP: #945399)
  * Drop 02_deprecated.patch: Fixed upstream.
  * debian/control.in: Bump glib build dependency as per configure.ac.
  * debian/copyright: Move to copyright format 1.0.
  * debian/control.in: Bump Standards-Vesion to 3.9.3.

 -- Martin Pitt <mpitt@debian.org>  Wed, 21 Mar 2012 09:17:13 +0100

gvfs (1.10.1-3) unstable; urgency=low

  * Bump Build-Depends on cdbs and debhelper for multiarch support.
  * Replace Depends on fuse-utils with fuse, as fuse-utils is now only a
    transitional package depending on fuse.
  * debian/patches/06_glib-single-include.patch: Fix build failure with glib
    2.32 where including individual glib headers is no longer supported.
    Closes: #665553

 -- Michael Biebl <biebl@debian.org>  Sun, 25 Mar 2012 16:24:01 +0200

gvfs (1.10.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop dependency gvfs-bin→gvfs. The support binaries only need GIO,
    nothing more.

  [ Michael Biebl ]
  * Upload to unstable.
  * debian/rules:
    - Set --libdir and --libexecdir configure flags globally and not only when
      building for linux.

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Nov 2011 18:39:30 +0100

gvfs (1.10.1-1) experimental; urgency=low

  * Fix long description grammar. Closes: #648046.
  * New upstream release.
  * Bump/add build-dependencies: glib, gdu, libgcrypt, libbluray.
  * 02_deprecated.patch: updated for the new version.
  * 05_shared_libdaemon.patch: refreshed.
  * Install afp backend.
  * Drop gvfs.postinst, it’s been here in squeeze.
  * Make gvfs multiarch-compatible:
    + 01_modules_dir.patch: query the modules dir from gio instead of
      hardcoding it.
    + Split the gvfs package between all sub-components.
      - gvfs: holds the GIO module (multiarch: same)
      - gvfs-daemons: holds the daemons (multiarch: foreign)
      - gvfs-libs: holds common libraries (multiarch: same)
      - gvfs-common: holds data (multiarch: foreign, arch: all)
    + Update depends/breaks/replaces accordingly.
    + Prevent dh_makeshlibs from doing anything.
    + Add lintian overrides for the private library dir using rpath.

 -- Josselin Mouette <joss@debian.org>  Sun, 13 Nov 2011 10:38:51 +0100

gvfs (1.8.2-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Break glib < 2.28.6-2. Closes: #628811.
  * gvfs-backends suggests samba-common. Closes: #608665.
  * Depend on psmisc. Closes: #638685.

  [ Martin Pitt ]
  * debian/watch: Look for tar.xz, upstream stopped publishing tar.gz.

  [ Michael Biebl ]
  * Upload to unstable.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.
  * debian/control:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 11:48:11 +0200

gvfs (1.8.2-1) experimental; urgency=low

  [ Josselin Mouette ]
  * No really, the section is gnome and the overrides need fixing.

  [ Martin Pitt ]
  * New upstream release.

 -- Martin Pitt <mpitt@debian.org>  Tue, 24 May 2011 16:13:43 +0200

gvfs (1.8.1-1) experimental; urgency=low

  [ Raphaël Hertzog ]
  * Changes default section to libs to fix overrides disparities.
  * Fix watch file.

  [ Martin Pitt ]
  * New upstream release.
  * 04_hurd_path_max.patch: Update for new upstream release.
  * debian/control.in: Bump gvfs breaks/replaces to gvfs-backends. This is
    a no-op for Debian, but enables synchronizing the packages between Debian
    and Ubuntu.

 -- Martin Pitt <mpitt@debian.org>  Tue, 17 May 2011 17:27:05 +0200

gvfs (1.8.0-1) experimental; urgency=low

  * Team upload.

  [ Josselin Mouette ]
  * Set section: gnome, keep libs only for gvfs itself.

  [ Raphaël Hertzog ]
  * New upstream release.
  * Drop 07_smb_initialdir.patch, merged upstream.
  * Update 04_hurd_path_max.patch to apply again, and a fix in the patch
    itself (the #ifdef-ed code was not matching the original code, missing
    an assignation).
  * Update Standards-Version to 3.9.2 (no change).
  * Switch Vcs-Svn to use anonymous URL.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 13 Apr 2011 17:17:02 +0200

gvfs (1.7.2-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/01_maintainer_mode.patch,
    debian/patches/90_relibtoolize.patch,
    debian/patches/99_ltmain_as-needed.patch:
    + Removed. Use dh_autoreconf instead.
  * debian/control.in,
    debian/rules:
    + Use dh_autoreconf.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 31 Jan 2011 23:26:08 +0000

gvfs (1.7.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * 07_smb_initialdir.patch: new patch by Tomas Bzatek and myself. Take
    into account initial path when doing a SMB mount, to avoid
    permission issues. Closes: #533417.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Updated build dependencies.
    + debian/patches/*:
      - Refreshed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 23:08:37 +0000

gvfs (1.7.0-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/06_sftp_timeout.patch:
      - Removed, merged upstream.
    + debian/patches/*
      - Updated.
    + debian/gvfs.install:
      - Install the gsettings schemas and the gconf conversion files.
  * debian/control:
    + Use architecture wildcards everywhere.
  * debian/rules:
    + Include check-dist.mk to prevent accidental uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 01 Dec 2010 21:02:19 +0100

gvfs (1.6.4-4) unstable; urgency=low

  * gvfs-backends suggests samba-common. Closes: #608665.
  * Depend on psmisc. Closes: #638685.
  * 08_libplist.patch: correctly link the AFC backend to libplist.
  * 90_relibtoolize.patch: regenerated.

 -- Josselin Mouette <joss@debian.org>  Sat, 17 Sep 2011 13:36:57 +0200

gvfs (1.6.4-3) unstable; urgency=low

  * 07_smb_initialdir.patch: new patch by Tomas Bzatek and myself. Take
    into account initial path when doing a SMB mount, to avoid
    permission issues. Closes: #533417.

 -- Josselin Mouette <joss@debian.org>  Wed, 22 Dec 2010 20:45:43 +0100

gvfs (1.6.4-2) unstable; urgency=low

  * 06_sftp_timeout.patch: patch from Andreas Henriksson to fix
    incorrect timeout introduced by the openssh 5.6 portability change.

 -- Josselin Mouette <joss@debian.org>  Sun, 03 Oct 2010 00:44:17 +0200

gvfs (1.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 01 Oct 2010 12:52:33 +0200

gvfs (1.6.3-2) unstable; urgency=low

  * Depend on fuse-utils 2.8.4. Closes: #585648.

 -- Josselin Mouette <joss@debian.org>  Sun, 05 Sep 2010 20:05:15 +0200

gvfs (1.6.3-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Drop type-handling usage. Closes: #587874.
  * Bump standards version accordingly.

  [ Laurent Bigonville ]
  * debian/control: Add Vcs-Svn and Vcs-Browser pseudo-headers

  [ Josselin Mouette ]
  * New upstream release.
  * 01_maintainer_mode.patch, 90_relibtoolize.patch: updated for the new
    version.

 -- Josselin Mouette <joss@debian.org>  Mon, 19 Jul 2010 18:37:07 +0200

gvfs (1.6.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + Fixes FTBFS because of bashism in configure (Closes: #583002).
    + debian/patches/90_relibtoolize.patch:
      - Regenerated for the new version.
    + debian/patches/*:
      - Refreshed all patches.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 31 May 2010 10:33:59 +0200

gvfs (1.6.1-1) unstable; urgency=low

  * New upstream bugfix release.
    - debian/patches/01_maintainer_mode.patch,
      debian/patches/90_relibtoolize.patch:
      + Refreshed.
  * debian/control.in:
    - Don't build depend on libimobiledevice-dev on Hurd.
  * debian/gvfs-backends.install
    debian/rules
    - Install the afc backend from debian/rules, and don't do it on Hurd.
  * debian/source/format,
    debian/control.in,
    debian/rules:
    - Switch to source format 3.0 (quilt).

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 02 May 2010 18:16:31 +0200

gvfs (1.6.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/control.in:
      - Update build dependencies.
    + debian/control.in,
      debian/gvfs-backends.install:
      - Install the new AFC backend.
    + debian/patches/02_deprecated.patch,
      debian/patches/01_maintainer_mode.patch,
      debian/patches/05_shared_libdaemon.patch:
      - Updated to apply cleanly again.
    + debian/patches/90_relibtoolize.patch:
      - Regenerated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 09 Apr 2010 06:04:57 +0200

gvfs (1.4.3-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Recommend gnome-keyring, since the library will stop doing so.
  * Suggest obex-data-server, not obexd-client.

  [ Michael Biebl ]
  * Drop devicekit-disks dependency from gvfs and let libgdu depend on the
    correct backend itself.
  * Add Breaks libgdu0 (<< 2.28.1-3) so we do not accidentally end up without
    devicekit-disks (or udisks) being installed.
  * Bump Standards-Version to 3.8.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Mon, 08 Mar 2010 17:45:12 +0100

gvfs (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/01_maintainer_mode.patch: fix to apply.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 14 Dec 2009 21:45:30 +0100

gvfs (1.4.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Suggest obexd-clint instead of obex-data-server.

  [ Andreas Henriksson ]
  * New upstream release.
  * Refresh patches and recreate 90_relibtoolize.patch

  [ Josselin Mouette ]
  * Break rhythmbox < 0.12.6-2. See #561083 for bugs that can happen
    when RB and gvfs don’t use the same backend.

 -- Josselin Mouette <joss@debian.org>  Mon, 14 Dec 2009 14:39:01 +0100

gvfs (1.4.1-6) unstable; urgency=low

  * Drop fuse-utils dependency on !linux.
  * Upload to unstable, now we have a fixed devicekit-disks in testing.
  * “Hold on to dmsetup, I’m removing HAL.”

 -- Josselin Mouette <joss@debian.org>  Tue, 24 Nov 2009 15:54:31 +0100

gvfs (1.4.1-5+gdu) experimental; urgency=low

  * Merge changes in unstable to the experimental (GDU-enabled) branch.
  * Require dk-disks >> 009-1 to have IDE support.
  * Replace part of the sed magic by linux-any magic.
  * 05_shared_libdaemon.patch:
    + Put the common code for all gvfsd-* in a private library in
      /usr/lib/gvfs/libgvfsdaemon.so. This reduces binary sizes and
      memory overhead caused by the multiple running daemons.
    + Move libgvfscommon* to /usr/lib/gvfs as well.
  * Install libgvfsdaemon.
  * 90_relibtoolize.patch: refresh accordingly.

 -- Josselin Mouette <joss@debian.org>  Mon, 16 Nov 2009 18:28:56 +0100

gvfs (1.4.1-5) unstable; urgency=low

  * Brown paper *bag* release.
  * debian/gvfs-backends.install:
    - debian/tmp/usr/share/gvfs/remote-volume-monitors/gphoto2.monitor is
      now installed from debian/rules to avoid installing it on the Hurd,
      so remove it from the .install file. Should really fix the build on
      the Hurd.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 13 Nov 2009 02:20:36 +0100

gvfs (1.4.1-4) unstable; urgency=low

  * Brown paper bug release.
  * debian/patches/series:
    - Really apply 04_hurd_path_max.patch. Closes: #555055.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 12 Nov 2009 08:15:01 +0100

gvfs (1.4.1-3) unstable; urgency=low

  * debian/patches/04_hurd_path_max.patch:
    - Fix the build in the Hurd.
  * debian/control.in:
    - Build-dep on libcdio-paranoia-dev on the Hurd now that it's available
      there.
  * debian/gvfs-backends.install,
    debian/rules:
    - Don't install the gphoto2 backend on the Hurd.
  * Thanks to Samuel Thibault for all the above. This closes: #555055.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 10 Nov 2009 23:08:45 +0100

gvfs (1.4.1-2+gdu) experimental; urgency=low

  * Re-upload the gdu-enabled branch to experimental.

 -- Josselin Mouette <joss@debian.org>  Sat, 24 Oct 2009 08:39:35 +0200

gvfs (1.4.1-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop debian/patches/10_kfreebsd.patch, merged upstream.
  * Updated debian/patches/01_maintainer_mode.patch to apply.
  * Rebuild debian/patches/90_relibtoolize.patch.
  * Bump standards-version to 3.8.3.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 21 Oct 2009 14:12:57 +0200

gvfs (1.4.0-3) unstable; urgency=low

  * Break brasero < 2.28.0-2 because it locks the CD device, preventing
    ejection.
  * Only install xdg-mount.1 on !linux.

 -- Josselin Mouette <joss@debian.org>  Thu, 08 Oct 2009 17:51:46 +0200

gvfs (1.4.0-2+gdu1) experimental; urgency=low

  * Enable GDU support on Linux.
  * Disable HAL on Linux.
  * Recommend policykit 1 (to mount stuff using devicekit-disks) instead
    of gnome-mount.
  * Only install xdg-mount on !linux.

 -- Josselin Mouette <joss@debian.org>  Wed, 30 Sep 2009 00:55:17 +0200

gvfs (1.4.0-2) unstable; urgency=low

  * Do not build-depend on libudev on !linux.
  * gvfs.postinst: add big fat warning asking to restart the session
    after the upgrade. Closes: #548898.
  * Enable libgudev on linux.

 -- Josselin Mouette <joss@debian.org>  Wed, 30 Sep 2009 00:32:46 +0200

gvfs (1.4.0-1) unstable; urgency=low

  [ Andreas Henriksson ]
  * New upstream release.
  * Bumped Build-Dependency on glib from 2.19.x to 2.21.x.
  * Updated 01_maintainer_mode.patch, 02_deprecated.patch to apply.
  * Regenerated 90_relibtoolize.patch.
  * Refreshed all patches.

  [ Josselin Mouette ]
  * Add build-dep on libudev.
  * Install the metadata store.

 -- Josselin Mouette <joss@debian.org>  Thu, 24 Sep 2009 10:12:24 +0200

gvfs (1.2.3-3) unstable; urgency=low

  * xdg-mount: new utility, that will spawn gnome-mount or exo-mount
    depending on the running environment.
  * Depend on x11-utils for xprop.
  * Recommend gnome-mount | exo-utils.
  * Install the script and its manual page in gvfs.
  * 03_xdg-mount.patch: new patch. Use xdg-mount instead of gnome-mount.
    Handle its specific return code by displaying the appropriate error.

 -- Josselin Mouette <joss@debian.org>  Mon, 17 Aug 2009 17:39:43 +0200

gvfs (1.2.3-2) unstable; urgency=low

  [ Josselin Mouette ]
  * gvfs-fuse depends on fuse-utils. Closes: #500886.

  [ Emilio Pozuelo Monfort ]
  * Add a watch file.
  * Only install obexftp on Linux systems, it's not available elsewhere.
    Thanks Cyril Brulebois. Closes: #540482.

 -- Emilio Pozuelo Monfort <pochu@ubuntu.com>  Sun, 09 Aug 2009 01:23:49 +0200

gvfs (1.2.3-1) unstable; urgency=low

  * Add back fuse and cdio support for kfreebsd.
  * 10_kfreebsd.patch: patch from Aurélien Jarno to add gphoto2 support
    on kfreebsd. Closes: #528539.
    + Update 90_relibtoolize.patch accordingly.
  * Enable obexftp backend again now that bluez 4 is available.
    Closes: #530435.
  * Only suggest obex-data-server, it’s not as if it was so much related
    to gvfs which does file browsing, not file sharing.
  * New upstream release.
  * Refresh a pair of patches accordingly.

 -- Josselin Mouette <joss@debian.org>  Fri, 29 May 2009 09:03:00 +0200

gvfs (1.2.2-2) unstable; urgency=low

  [ Deng Xiyue ]
  * Fix typo in gvfs Conflicts/Replaces: ligvfscommon0 -> libgvfscommon0
    (Closes: #526241)

 -- Josselin Mouette <joss@debian.org>  Thu, 30 Apr 2009 10:34:10 +0200

gvfs (1.2.2-1) unstable; urgency=low

  * New upstream release.
    + Allows to trash read-only directories. Closes: #341949.
  * Update build dependencies and dependencies.
  * Require fuse, cdparanoia and bluetooth only on Linux. Use
    type-handling to only build gvfs-fuse on Linux architectures.
    Closes: #526073.
  * Disable obexftp backend until bluez 4.0 is available.
  * 02_http_unescape.patch: removed, merged upstream.
  * 02_deprecated.patch: new patch. Don’t use G_DISABLE_DEPRECATED in
    production, it’s like shooting ourselves in the foot.
    Closes: #524905.
  * Regenerate or refresh other patches.
  * Update shlibs version to 1.2.1.
  * Add the newly shipped file to gvfs-backends.
  * Fix debug package priority.
  * Remove the library packages for now, there is no guarantee of
    API/ABI stability, and the shipped headers don’t correspond with the
    shipped libraries.
  * Move libgvfscommon.so.0 to gvfs, and libgvfscommon-dnssd.so.0 to
    gvfs-backends.
  * Don’t tempt people with development symlinks.
  * Add proper Conflicts/Replaces in gvfs.

 -- Josselin Mouette <joss@debian.org>  Mon, 27 Apr 2009 22:01:02 +0200

gvfs (1.0.3-4) unstable; urgency=low

  * Add gvfs-dbg package with debugging symbols.
  * Build-depend on libltdl-dev instead of libltdl3-dev.

 -- Josselin Mouette <joss@debian.org>  Thu, 09 Apr 2009 19:36:46 +0200

gvfs (1.0.3-3) unstable; urgency=low

  * 02_http_unescape.patch: new patch, stolen upstream. Fix escaping of
    HTTP uris that leads to a crash. Closes: #519722.

 -- Josselin Mouette <joss@debian.org>  Sat, 14 Mar 2009 18:50:49 +0100

gvfs (1.0.3-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Wed, 04 Mar 2009 13:34:16 +0100

gvfs (1.0.3-1) experimental; urgency=low

  * Only suggest gvfs-backends. Nautilus already recommends it.
  * Install the completion file in /etc/bash_completion.d.
    Closes: #508294.
  * Remove the old profile.d conffile in the preinst.
  * New upstream release.
  * 01_maintainer_mode.patch: updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Sun, 04 Jan 2009 13:13:35 +0100

gvfs (1.0.2-2) experimental; urgency=low

  * Move the burn backend to gvfs.

 -- Josselin Mouette <joss@debian.org>  Wed, 26 Nov 2008 00:50:57 +0100

gvfs (1.0.2-1) experimental; urgency=low

  [ Andreas Henriksson ]
  * New upstream release.
    - disable all patches (from upstream).
    - bump build-dependency on libglib2.0-dev to >= 2.17.6.
    - add build-dependency on intltool.
    - add version >= 2.23.91 to libsoup2.4-dev build-dependency.

  [ Josselin Mouette ]
  * Build-depend on openssh-client.
  * Bump requirement on libgphoto2.
  * Bump shlibs version to 0.99.6.
  * Fix D-Bus spelling error in descriptions. Make them a bit more
    complete.
  * Include clean-la.mk; require gnome-pkg-tools 0.7.
  * Include the volume monitors.
  * Move the computer, localtest and trash backends to gvfs.
  * Add the corresponding conflict.
  * Do not run dh_makeshlibs on gvfs.
  * 01_maintainer_mode.patch: enable AM_MAINTAINER_MODE.
  * 90_relibtoolize.patch: relibtoolize to avoid the amd64 rpath issue.
  * 99_ltmain_as-needed.patch: the best friend of --as-needed.
  * Pass -z defs --as-needed -O1 to the linker.
  * gvfs-fuse and gvfs-bin depend on gvfs (= ${binary:Version}).

 -- Josselin Mouette <joss@debian.org>  Sun, 16 Nov 2008 19:51:57 +0100

gvfs (0.2.5-1.1) unstable; urgency=high

  * NMU
  * Apply upstream SVN r1819 - "(reindex_file_handle_for_path): Steal the old
    file handle record from the global hash table before replacing its path,
    not after."
  * Apply upstream SVN r1822: "(vfs_create): Hold the file handle lock while
    opening the stream."
  * Apply upstream SVN r1844: "Don't call statvfs on /."
  * Apply upstream SVN r1854: "Avoid a race between the subthread and the
    main thread in the case of dbus going bye-bye."
  * Apply part of r2052: "Set st_blocks & co so that du works."
  * Apply upstream SVN r2056: "Attempt to prevent potential race conditions in
    the FUSE backend when file handles get closed while still in use in
    another thread, if that ever happens."  closes: #496269.

 -- Clint Adams <schizo@debian.org>  Sat, 25 Oct 2008 09:29:53 -0400

gvfs (0.2.5-1) unstable; urgency=low

  * New upstream bugfix release:
    + Fixes trash problems with files beginning with an _ (Closes: #474616).
  * debian/control.in:
    + Update Standards-Version to 3.8.0, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Jun 2008 12:07:05 +0200

gvfs (0.2.4-1) unstable; urgency=low

  * New upstream bugfix release:
    + Fixes a few FUSE issues (Closes: #476280).
  * debian/control.in:
    + Recommend obex-data-server to make ObexFTP work out of the
      box (Closes: #480005).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 29 May 2008 09:21:32 +0200

gvfs (0.2.3-1) unstable; urgency=low

  * debian/gvfs-backends.postinst:
    + Use killall -q to not complain if there are no gvfsd processes. Thanks
      to Daniel Hahler (Closes: #473172).
  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 13:24:00 +0200

gvfs (0.2.2-1) unstable; urgency=low

  * debian/gvfs-backends.postinst:
    + Send SIGHUP to all gvfsd processes to let them reload their
      backends list.
  * debian/control.in:
    + Let gvfs recommend gvfs-backends.
  * New upstream release:
    + debian/patches/01_sftp_krb5.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Mar 2008 18:04:37 +0100

gvfs (0.2.1-1) unstable; urgency=low

  * New upstream release:
    + debian/patches/90_from_svn_fix_async_cancellation.patch:
      - Dropped, merged upstream.
    + debian/control.in,
      debian/gvfs-backends.install:
      - Add archive backend, allows reading many different archive types,
        for example tar and zip.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Mar 2008 19:36:11 +0100

gvfs (0.2.0.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Use quilt for patch handling.
  * 01_sftp_krb5.patch: ported from GnomeVFS. Make the sftp backend work
    when pam_krb5 is used on the server side.

  [ Sebastian Dröge ]
  * debian/patches/90_from_svn_fix_async_cancellation.patch:
    + Patch from upstream SVN (and Ubuntu) to fix async cancellation.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 17 Mar 2008 00:56:13 +0100

gvfs (0.2.0.1-1) unstable; urgency=low

  * New upstream stable release.
  * debian/control.in:
    + Build depend on libltdl3-dev again to make libtool happy.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Mar 2008 21:29:54 +0100

gvfs (0.1.11-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    + Remove libltdl3-dev from Build-Depends, workaround is not needed anymore
      for some reason.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 05 Mar 2008 05:28:14 +0100

gvfs (0.1.10-1) experimental; urgency=low

  * New upstream release:
    + debian/control,
      debian/gvfs-backends.install:
      - Update build dependencies.
      - Add obexftp to the backends.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 04 Mar 2008 16:13:56 +0100

gvfs (0.1.8-1) experimental; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update libglib2.0-dev build dependency to >= 2.15.6.
      - Build depend on libavahi-client-dev and libavahi-glib-dev.
      - Update libhal-dev build dependency to >= 0.5.10.
      - Build depend on libgphoto2-2-dev.
      - Build depend on libgnome-keyring-dev.
      - Add new backends to the gvfs-backends description.
      - Build depend on libltdl3-dev.
    + debian/gvfs-backends.install:
      - Add new backends.
    + debian/gvfs-bin.install:
      - Add new /etc/profile.d directory.
  * debian/control.in:
    + Add libglib2.0-dev to the dependencies of the -dev package.
    + Let gvfs Recommend hal and dbus as they're required for it to work.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Feb 2008 07:19:53 +0100

gvfs (0.1.7-1) experimental; urgency=low

  * New upstream release:
    + debian/control.in:
      - Update glib build dependency.
      - Build depend on libgconf2-dev.
  * debian/control.in:
    + Let gvfs-backends depend on gvfs. The backends are useless without it.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 12 Feb 2008 06:55:57 +0100

gvfs (0.1.6-1) experimental; urgency=low

  [ Loic Minier ]
  * Add ${shlibs:Depends} and ${misc:Depends} to libgvfscommon-dev.
  * Wrap deps and remove trailing whitespace in control  :-P

  [ Sebastian Dröge ]
  * New upstream release:
    + debian/control.in:
      - Build depend on libglib2.0-dev (>= 2.15.4).
  * debian/control.in:
    + Let gvfs-backends depend on gvfs. Taken from the Ubuntu package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 29 Jan 2008 12:37:10 +0100

gvfs (0.1.4-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    + Update descriptions.
    + Update build dependencies.
  * debian/gvfs-backends.install:
    + Add burn:// backend.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Jan 2008 12:56:52 +0100

gvfs (0.1.2-1) experimental; urgency=low

  [ Sebastien Bacher ]
  * Initial packaging.

  [ Sebastian Dröge ]
  * Synced package from Ubuntu and uploaded to experimental (Closes: #444299).
  * debian/control.in:
    + Build depend on libsoup2.2-dev.
    + Update minimal versions of build dependencies.
    + Build depend on libxml-parser-perl.
  * debian/copyright:
    + Add another copyright holder.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 17 Jan 2008 12:32:52 +0100

gvfs (0.2.2-2.1) unstable; urgency=low

  * debian/gvfs-backends.postinst:
    + Use killall -q to not complain if there are no gvfsd processes. Thanks
      to Daniel Hahler (Closes: #473172).
  *

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Apr 2008 13:24:00 +0200
